dpkg-split(1)

NOM
dpkg-split - Outil de décomposition/recomposition des paquets Debian

SYNOPSIS
dpkg-split [option...] commande

DESCRIPTION
dpkg-split décompose les fichiers d'un paquet binaire Debian en parties plus petites (et les recompose), pour permettre l'enregistrement des fichiers d'un paquet volumineux sur des média de faible capacité tels que les disquettes.

On peut s'en servir « à la main » avec les options --split, --join et --info.

Il possède aussi un mode automatique, appelé avec l'option --auto, dans lequel il conserve séparément dans une file les parties connues ou recompose le fichier d'un paquet quand il connaît toutes ses parties. Les options --listq et --discard permettent la gestion de cette file.

Toutes les opérations de décomposition, recomposition ou de mise en file produisent des messages sur la sortie standard ; ils peuvent être tranquillement ignorés.

COMMANDES

-s, --split archive-complète [préfixe]
    Décompose en plusieurs parties un paquet binaire Debian.

    Le nom d'une partie est : préfixe.NdeM.deb où N le numéro de partie, commençant à 1, et M est le nombre total de parties (les deux sont des décimaux).

    Quand on ne donne pas de préfixe, le nom du fichier archive-complète est utilisé, en incluant le répertoire et en supprimant tout .deb restant.

-j, --join partie...
    Rassemble les parties d'un fichier, recomposant ainsi le fichier d'origine tel qu'il était avant la décomposition.

    Ces parties, données comme arguments, doivent appartenir toutes au même fichier binaire d'origine. Chaque partie ne doit apparaître qu'une seule fois dans la liste des arguments ; mais il est inutile de les ordonner.

    Les parties doivent bien sûr avoir été créées selon le même modèle (taille maximum des parties), qui est déclaré au moment de la décomposition ; ce qui signifie en fait qu'elles doivent avoir été créées par le même appel à dpkg-split --split.

    Les parties des noms ne sont pas significatives pour le processus de recomposition.

    Par défaut, le fichier produit s'appelle paquet_version_arch.deb.

-I, --info partie...
    Affiche les renseignements concernant telle partie dans un format lisible par tous. Les arguments ne représentant pas la partie d'un fichier binaire le disent aussi sur la sortie standard.

-a, --auto -o fichier-complet partie
    Met en file automatiquement les parties en vue de la recomposition d'un paquet.

    La partie déclarée est examinée et comparée avec les autres parties du même paquet qui se trouvent (si elles existent) dans la file.

    Quand toutes les parties d'un fichier (auquel appartient la partie partie) sont présentes, le fichier est recomposé et créé en tant que fichier-complet (ce fichier ne devrait pas déjà exister, mais ce n'est pas une erreur).

    Quand ce n'est pas le cas, la partie partie est mise dans la file et le fichier fichier-complet n'est pas créé.

    Quand la partie n'appartient pas à un paquet binaire décomposé, dpkg-split se termine avec un code de sortie égal à 1 ; s'il y a une autre erreur, c'est un code de sortie égal à 2.

    L'option --output ou -o doit être fournie avec l'action --auto. Si cela n'était pas obligatoire, le programme appelant ne saurait pas quel fichier attendre.

-l, --listq
    Liste le contenu d'une file de paquets à recomposer.

    Pour chaque fichier possédant des parties dans la file, cette action donne le nom du fichier, les parties présentes dans la file et le nombre total d'octets conservés.

-d, --discard [paquet...]
    Cette action laisse de côté certaines parties dans la file, celles qui sont en attente des autres parties composant le paquet.

    Quand aucun paquet n'est donné, la file est vidée ; si un paquet est donné, seules les parties de ce paquet sont détruites.

-?, --help
    Afficher un message d'aide puis quitter.

--version
    Afficher le numéro de version puis quitter.

OPTIONS

--depotdir répertoire
    Indique un répertoire différent pour la file comprenant les parties en attente d'une recomposition automatique. Par défaut, c'est le répertoire /home/linuxbrew/.linuxbrew/var/lib/dpkg/parts.

--admindir répertoire
    Fixe le répertoire d'administration à répertoire (depuis dpkg 1.21.10), où se trouve aussi le fichier statoverride. La valeur par défaut est /home/linuxbrew/.linuxbrew/var/lib/dpkg si DPKG_ADMINDIR n'a pas été défini.

--root répertoire
    Définit le répertoire root à directory (depuis dpkg 1.21.10), ce qui définit le répertoire d'installation à « répertoire » et le répertoire d'administration à « répertoire/home/linuxbrew/.linuxbrew/var/lib/dpkg » si DPKG_ROOT n'a pas été défini.

-S, --partsize kibioctets
    Indique, en kibioctet (1024 octets), la taille maximum d'une partie lors d'une décomposition. Par défaut, la taille maximum est de 450 Kio.

-o, --output fichier-complet
    Indique le nom du fichier à produire pour une recomposition.

    Cela annule le fichier par défaut lors d'une recomposition « à la main » (--join) et c'est obligatoire pour une recomposition ou une mise en file automatiques (--auto).

-Q, --npquiet
    Pour une recomposition ou une mise en file automatiques, dpkg-split affiche habituellement un message si on lui donne une partie qui n'est pas une partie d'un paquet binaire. Cette option supprime ce message ; cela permet à des programmes comme dpkg de ne pas afficher de faux messages quand il est confronté à des paquets décomposés et des paquets non décomposés.

--msdos
    Oblige le nom des fichiers produits par --split à se conformer à MS-DOS.

    Cela supprime le préfixe, soit celui par défaut dérivé du nom du fichier d'entrée, soit celui donné comme argument : les caractères alphanumériques sont en minuscules, les signes plus sont remplacés par des x et tous les autres caractères sont abandonnés.

    Le résultat est alors tronqué autant que nécessaire et des fichiers de la forme : prefixNofM.deb sont créés.

CODE DE SORTIE

0   La recomposition ou bien toute autre commande a réussi. Les commandes --info réussissent toujours même si les fichiers ne sont pas des parties d'un paquet binaire.

1   Ne peut apparaître qu'avec l'action --auto et signale que le fichier partie n'est pas une partie d'un paquet binaire.

2   Erreur fatale ou irrécupérable due à une utilisation non valable de la ligne de commande, à un fichier qui ressemble à fichier appartenant à un paquet mais qui est corrompu, ou à des interactions avec le système, telles que des accès à la base de données, des allocations mémoires, etc.

ENVIRONNEMENT

DPKG_ROOT
    Si cette variable est positionnée et que l'option --root n'est précisée, ce répertoire sera utilisé comme répertoire racine du système de fichiers (depuis dpkg 1.21.10).

DPKG_ADMINDIR
    Si cette variable est positionnée et que les options --admindir ou --root ne sont pas précisées, ce répertoire sera utilisé comme répertoire de données pour dpkg (depuis dpkg 1.21.10).

DPKG_DEBUG
    Définit le masque de débogage (depuis dpkg 1.21.10) à partir d'une valeur octale. Actuellement, les drapeaux acceptés sont décrits dans l'option dpkg --debug, mais ces drapeaux n'auront pas tous un effet sur ce programme.

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    If set, it will be used to decide whether to activate Native Language Support, also known as internationalization (or i18n) support (since dpkg 1.22.7). The accepted values are: 0 and 1 (default).

SOURCE_DATE_EPOCH
    If set, it will be used as the timestamp (as seconds since the epoch) in the deb-split(5)'s ar(5) container.

    Since dpkg 1.18.11.

FICHIERS

/home/linuxbrew/.linuxbrew/var/lib/dpkg/parts
    Le répertoire par défaut de la file contenant les fichiers qui attendent une recomposition automatique.

    Les noms de fichiers utilisés dans ce répertoire sont dans un format particulier à dpkg-split et ne sont sans doute pas utiles pour d'autres programmes ; en tous cas on ne peut pas compter sur ce format de nom de fichier.

SECURITY
Examining or joining untrusted split package archives should be considered a security boundary, and any breakage of that boundary stemming from these operations should be considered a security vulnerability. Performing these operations over untrusted data as root is strongly discouraged.

Auto-accumulating and discarding split package parts are considered privileged operations that might allow root escalation. These operations must never be delegated to an untrusted user or be done on untrusted packages, as that might allow root access to the system.

Splitting package archives should only be performed over trusted data.

BOGUES
On ne peut pas obtenir tous les détails voulus sur les paquets présents dans la file à moins d'aller voir soi-même dans le répertoire de la file.

On ne peut pas facilement savoir si un fichier est vraiment la partie d'un paquet binaire ou non.

VOIR AUSSI
deb(5), deb-control(5), dpkg-deb(1), dpkg(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.